
Redmine - Defect #14685

REST queries.xml does not accept KEY authentication

2013-08-14 06:36 - Matthew Houston

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.2

Description

Using the REST API will return a (401) if key authentication is used. If I send the request through a browser with an open session it

works, or use basic authentication it will work.

Example URL sent:

http://server:3000/redmine/queries.xml (from script returns (401) from browser works)

http://server:3000/redmine/queries.xml&key=3e3ab1b07278a365d1435a39748760bf175b4724 (Doesn't work anywhere)

I'm almost positive I saw a report of this previously though no amount of searching on Redmine or Google has found any results.

Redmine : 2.3.2

History

#1 - 2013-08-14 06:36 - Matthew Houston

Should have put this in above but all other REST API calls are working correctly with the same key.

#2 - 2013-08-14 10:30 - Etienne Massip

Are you sure the user the key belongs to has the right permission?

#3 - 2013-08-14 23:54 - Matthew Houston

Etienne Massip wrote:

Are you sure the user the key belongs to has the right permission?

 Etienne E Thanks for the response!

The user key I'm using is the built in administrator user,  but I have also tried with my own account key with the same result.  All other REST calls are

working perfectly (Projects, users, issues etc), even the actual call that runs the queries on the issues is working also.

A bit of background,  I'm writing a custom notification script that is very generic,  the users can create a custom query in Redmine and then schedule

the script to run however often they like.  Everything is working except I need to get the query name to put into the email subject and header.

As bloody usual this is the last thing I had to do and it broke ha ha

#4 - 2013-08-15 04:01 - Matthew Houston

- Status changed from New to Resolved

I'm an idiot.. the string I had put together was missing a '?' in it.  I've now got it working.

#5 - 2013-08-15 04:46 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thank you for your feedback.
